Subject: RE: bug#14734: 24.3.50; REGRESSION: defadvice broken wrt doc strings (C-h f)

From: Drew Adams <[email-masked]>
Date: Sun, 20 Oct 2013 16:27:07 -0700 (PDT)

> the old advice.el was made to work on top of the new nadvice.el (the
> total size of the new advice.el and nadvice.el is about the same as
> the old advice.el).

But the new advice, and now the old advice too, since it is on top of
the new, does NOT work.  Specifically, there is this regression wrt
doc strings.

This should not be a `wont-fix' bug.  It should be fixed.

It should be fixed in the advice system that is documented in the
manuals, which for now is still the "old" system (there is nothing
about the nadvice stuff in the manuals).

If the "new" system will at some point replace the old and itself be
documented differently, instead of being only, as you say now,
internal, then it too will need to be fixed wrt its handling of the
doc string.